Issuance Consent
Provide user consent to continue the OpenID4VCI issuance flow.
Consent to the issuance of the offered credential.
This API notifies the Wallet Service that the end user has consented to receive a credential to be issued, after which the Wallet Service continues with the protocol.
Additional parameters, such as txCode, may be provided
depending on the protocol context. For example,
txCode is used in the Pre-Authorized Code Flow if
txCode is enabled by the Issuer.
To verify whether the credential has been issued, the caller
must invoke the /wallets/{walletId}/issue/{issuanceSessionId}/session-status API.
Path Parameters
The unique identifier of the Wallet.
uuidA unique ID of the issuance session.
uuidHeader Parameters
Token for authenticating requests to the FortID Wallet Service.
Request Body
application/json
Transaction code generated by an issuer. This parameter is optional.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://ews.fortid.com/wallets/f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb/issue/dd6473c2-2043-4523-b359-ceb596ddae66/consent" \ -H "Authorization: Bearer {access_token}" \ -H "Content-Type: application/json" \ -d '{}'null{
"message": "Invalid URL: UUID parsing failed"
}{
"message": "Unauthorized access to wallet service is not allowed."
}{
"message": "User user:9d18dc5a409e4f0f94ff6812e324c959 unauthorized for Wallet f5d223f6-fc41-42b1-b2a6-475a2984486c"
}{
"message": "Issuance session with ID dd6473c2-2043-4523-b359-ceb596ddae66 not found"
}{
"message": "Internal Server Error"
}